# Gst::QueryApplication Class Reference

A custom application query object. More...

Inherits Gst::Query.

Collaboration diagram for Gst::QueryApplication:
[legend]

List of all members.

## Public Member Functions

| QueryApplication (GstQuery* query)

## Static Public Member Functions

static Glib::RefPtr< Gst::Query > | create (QueryType type, Gst::Structure& structure)
| Constructs a new custom application query object.

## Detailed Description

A custom application query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryApplication::QueryApplication | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Query> Gst::QueryApplication::create | ( | QueryType | type,
|  | Gst::Structure& | structure |
| ) |  |  | `[static]`

Constructs a new custom application query object.

The Gst::Query may be used by applications in their own way. Please note that a custom Gst::QueryType must be used in order for the returned Gst::Query to actually be a Gst::QueryApplication type.

Parameters:

  | type | The query type.
  | structure | A structure for the query.

Returns:
  The new Gst::QueryApplication.

The documentation for this class was generated from the following file:

- gstreamermm/query.h